Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# FogAttrib Class Reference

Applies a Fog to the geometry at and below this node. More...

Inheritance diagram for FogAttrib:

List of all members.

## Public Member Functions
Fog | getFog ()
| If the FogAttrib is not an 'off' FogAttrib, returns the fog that is associated.
bool | isOff ()
| Returns true if the FogAttrib is an 'off' FogAttrib, indicating that it should disable fog.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (Fog fog)
| Constructs a new FogAttrib object suitable for rendering the indicated fog onto geometry.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.
static RenderAttrib const | makeOff ()
| Constructs a new FogAttrib object suitable for rendering unfogd geometry.

## Detailed Description

Applies a Fog to the geometry at and below this node.

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

Fog getFog | ( |  | ) |

If the FogAttrib is not an 'off' FogAttrib, returns the fog that is associated.

Otherwise, return NULL.

bool isOff | ( |  | ) |

Returns true if the FogAttrib is an 'off' FogAttrib, indicating that it should disable fog.

static RenderAttrib const make | ( | Fog | fog | ) | `[static]`

Constructs a new FogAttrib object suitable for rendering the indicated fog onto geometry.

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

static RenderAttrib const makeOff | ( |  | ) | `[static]`

Constructs a new FogAttrib object suitable for rendering unfogd geometry.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties